org.apache.mina.integration.ognl

## Class AbstractPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - org.apache.mina.integration.ognl.AbstractPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor
  Direct Known Subclasses:
    IoFilterPropertyAccessor, IoServicePropertyAccessor, IoSessionPropertyAccessor

      public abstract class AbstractPropertyAccessor
      extends ognl.ObjectPropertyAccessor

  An abstract OGNL `PropertyAccessor` for MINA constructs.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPropertyAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getPossibleProperty(Map context, Object target, String name)`
    `Object` | `getProperty(Map context, Object target, Object oname)`
    `protected abstract Object` | `getProperty0(ognl.OgnlContext context, Object target, String name)`
    `boolean` | `hasGetProperty(Map context, Object target, Object oname)`
    `boolean` | `hasGetProperty(ognl.OgnlContext context, Object target, Object oname)`
    `protected abstract boolean` | `hasGetProperty0(ognl.OgnlContext context, Object target, String name)`
    `boolean` | `hasSetProperty(Map context, Object target, Object oname)`
    `boolean` | `hasSetProperty(ognl.OgnlContext context, Object target, Object oname)`
    `protected abstract boolean` | `hasSetProperty0(ognl.OgnlContext context, Object target, String name)`
    `Object` | `setPossibleProperty(Map context, Object target, String name, Object value)`
    `void` | `setProperty(Map context, Object target, Object oname, Object value)`
    `protected abstract Object` | `setProperty0(ognl.OgnlContext context, Object target, String name, Object value)`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPropertyClass, getSourceAccessor, getSourceSetter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPropertyAccessor

          public AbstractPropertyAccessor()

  - ### Method Detail

    - #### hasGetProperty

          public final boolean hasGetProperty(ognl.OgnlContext context,
                               Object target,
                               Object oname)
                                       throws ognl.OgnlException

      Overrides:
        `hasGetProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasSetProperty

          public final boolean hasSetProperty(ognl.OgnlContext context,
                               Object target,
                               Object oname)
                                       throws ognl.OgnlException

      Overrides:
        `hasSetProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### getPossibleProperty

          public final Object getPossibleProperty(Map context,
                                   Object target,
                                   String name)
                                           throws ognl.OgnlException

      Overrides:
        `getPossibleProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setPossibleProperty

          public final Object setPossibleProperty(Map context,
                                   Object target,
                                   String name,
                                   Object value)
                                           throws ognl.OgnlException

      Overrides:
        `setPossibleProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasGetProperty0

          protected abstract boolean hasGetProperty0(ognl.OgnlContext context,
                                Object target,
                                String name)
                                              throws ognl.OgnlException

      Throws:
        `ognl.OgnlException`

    - #### hasSetProperty0

          protected abstract boolean hasSetProperty0(ognl.OgnlContext context,
                                Object target,
                                String name)
                                              throws ognl.OgnlException

      Throws:
        `ognl.OgnlException`

    - #### getProperty0

          protected abstract Object getProperty0(ognl.OgnlContext context,
                            Object target,
                            String name)
                                          throws ognl.OgnlException

      Throws:
        `ognl.OgnlException`

    - #### setProperty0

          protected abstract Object setProperty0(ognl.OgnlContext context,
                            Object target,
                            String name,
                            Object value)
                                          throws ognl.OgnlException

      Throws:
        `ognl.OgnlException`

    - #### getProperty

          public final Object getProperty(Map context,
                           Object target,
                           Object oname)
                                   throws ognl.OgnlException

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `getProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasGetProperty

          public final boolean hasGetProperty(Map context,
                               Object target,
                               Object oname)
                                       throws ognl.OgnlException

      Overrides:
        `hasGetProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasSetProperty

          public final boolean hasSetProperty(Map context,
                               Object target,
                               Object oname)
                                       throws ognl.OgnlException

      Overrides:
        `hasSetProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public final void setProperty(Map context,
                         Object target,
                         Object oname,
                         Object value)
                                 throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.ObjectPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.